Bug 233351 - www/mod_security3: Move to security/modsecurity3
Summary: www/mod_security3: Move to security/modsecurity3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dag-Erling Smørgrav
URL:
Keywords: easy, needs-qa
Depends on:
Blocks:
 
Reported: 2018-11-20 10:49 UTC by Marie Helene Kvello-Aune
Modified: 2018-11-27 14:33 UTC (History)
4 users (show)

See Also:
marius.halden: maintainer-feedback+


Attachments
rename of modsecurity3 (patch-compatible) (12.33 KB, patch)
2018-11-20 10:49 UTC, Marie Helene Kvello-Aune
marius.halden: maintainer-approval+
Details | Diff
rename of modsecurity3 (patch-compatible) (12.33 KB, patch)
2018-11-20 11:15 UTC, Marie Helene Kvello-Aune
marius.halden: maintainer-approval+
Details | Diff
rename of modsecurity3 (patch-compatible) (12.33 KB, patch)
2018-11-20 12:15 UTC, Marie Helene Kvello-Aune
marius.halden: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marie Helene Kvello-Aune 2018-11-20 10:49:03 UTC
Created attachment 199374 [details]
rename of modsecurity3 (patch-compatible)

See also bug #227917

This patch will rename www/mod_security3 to security/modsecurity3 as it's not an Apache module. This was requested by Bernard Spil in bug #227917, comment 1. The patch also updates dependencies in the www/nginx* ports.
Comment 1 Marius Halden 2018-11-20 11:00:13 UTC
Maintainer OK
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2018-11-20 11:05:03 UTC
Nice patch Marie.

For the MOVED comment, id go for something more explicit/absolute, like:

  Not an apache module, use correct upstream name
Comment 3 Jochen Neumeister freebsd_committer 2018-11-20 11:11:41 UTC
Hi Marie,

thanks for the PR. I also wanted to work on this port today for NGINX and Apache.
There are already version 3.0.3.
Why do you want to move the port to security? mod_security is also in www
Comment 4 Marie Helene Kvello-Aune 2018-11-20 11:15:43 UTC
Created attachment 199375 [details]
rename of modsecurity3 (patch-compatible)

ftr: This patch builds on Marius Halden's previous work on getting this done.

Suggested commit message:

Move www/mod_security3 to security/modsecurity3 because it's not an Apache module, and to reflect upstreams naming.

PR: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=233351

Sponsored by: Modirum
Comment 5 Marie Helene Kvello-Aune 2018-11-20 11:23:56 UTC
(In reply to Jochen Neumeister from comment #3)
I'm moving it from www/mod_security3 because it's not an Apache module, but a security-related module.  I don't know if this holds true for www/mod_security. See comment by Bernard Spil (wearing apache@ hat) in comment 1 of bug #227917.

I'd love to also add the Apache connector, but I shouldn't take on the responsibility of maintaining something I don't use. If you do decide to do that, please create a PR for it and add me to CC as I have thought about (and discussed with koobs@) how to do that.
Comment 6 Marius Halden 2018-11-20 11:43:44 UTC
Build and nginx links to it without any issues.
Comment 7 Marie Helene Kvello-Aune 2018-11-20 12:15:24 UTC
Created attachment 199378 [details]
rename of modsecurity3 (patch-compatible)

Fixed category order, so "security" is listed first. (poudriere testport)
Comment 8 Marius Halden 2018-11-20 12:18:10 UTC
(In reply to Marie Helene Kvello-Aune from comment #7)

Given this fix poudriere testport is satisfied (ignoring unstripped libraries which I consider out of scope for this change and should be fixed with a few other things when the port is updated).
Comment 9 Jochen Neumeister freebsd_committer 2018-11-20 12:57:47 UTC
(In reply to Marie Helene Kvello-Aune from comment #5)

I am a part of @Apache, too. I will discuss it with him, but do not think much of moving the port to security.
Comment 10 Bernard Spil freebsd_committer 2018-11-26 15:32:46 UTC
(In reply to Jochen Neumeister from comment #9)
I'm not hung up on it being in category security. I'm more interested in the rename to distinguish it from the Apache modules and align with the product's name.

Would welcome the additional "connector" ports for both Apache and Nginx!
Comment 11 Marie Helene Kvello-Aune 2018-11-26 15:38:28 UTC
(In reply to Bernard Spil from comment #10)
I'd like to see a www/modsecurity3-connector port which uses flavours to support apache and nginx. But that's not related to *this* PR, and should be dealt with in a separate PR.
Comment 12 Dag-Erling Smørgrav freebsd_committer 2018-11-27 07:16:05 UTC
I had to make a few additional changes, cf https://reviews.freebsd.org/D18353:

- Missing USES=gnome (pre-existing bug)
- Missing CONFLICTS (partly pre-existing)
- Moved MOVED entry to the bottom

I just noticed that I mistyped the date in MOVED.  I will correct it before I commit.
Comment 13 Jochen Neumeister freebsd_committer 2018-11-27 08:04:22 UTC
(In reply to Dag-Erling Smørgrav from comment #12)


Why you dump PORTREVISION on nginx-devel, not nginx?
Comment 14 Dag-Erling Smørgrav freebsd_committer 2018-11-27 08:31:53 UTC
(In reply to Jochen Neumeister from comment #13)
> (In reply to Dag-Erling Smørgrav from comment #12)
> 
> 
> Why you dump PORTREVISION on nginx-devel, not nginx?

Looks like that part of the patch fell out.  Phabricator has been broken for a week or two and I was forced to create the differential manually.
Comment 15 commit-hook freebsd_committer 2018-11-27 14:29:53 UTC
A commit references this bug:

Author: des
Date: Tue Nov 27 14:28:51 UTC 2018
New revision: 486012
URL: https://svnweb.freebsd.org/changeset/ports/486012

Log:
  Rename www/mod_security3 to security/modsecurity3.  It is not an Apache
  module, and the upstream name is ModSecurity in a single word.

  PR:		233351
  Submitted by:	Marie Helene Kvello-Aune, Marius Halden (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D18353

Changes:
  head/MOVED
  head/security/Makefile
  head/security/modsecurity3/
  head/security/modsecurity3/Makefile
  head/www/Makefile
  head/www/mod_security3/
  head/www/nginx/Makefile
  head/www/nginx/Makefile.extmod
  head/www/nginx/Makefile.options.desc
  head/www/nginx-devel/Makefile
  head/www/nginx-devel/Makefile.extmod
  head/www/nginx-devel/Makefile.options.desc